Delete a recording

This code snippet shows how to delete a recording using the Meetings API.

See the API Reference for more information.

Where needed, replace the following variables in the sample code with your own values:

KeyDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

RECORDING_ID

The recording UUID.

Write the code

Add the following to delete-recording.sh:

curl -X DELETE "https://api-eu.vonage.com/meetings/recordings/"$RECORDING_ID \
  -H "Authorization: Bearer $JWT"

View full source

Run your code

Save this file to your machine and run it:

sh delete-recording.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named request.js and add the following code:

const { Auth } = require('@vonage/auth');
const { Meetings } = require('@vonage/meetings');

const credentials = new Auth({
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
  applicationId: VONAGE_APPLICATION_ID,
});

const meetingsClient = new Meetings(credentials);

View full source

Write the code

Add the following to request.js:

meetingsClient.deleteRecording(RECORDING_ID)
  .then(() => console.log('Recording deleted'))
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node request.js

Prerequisites

pip install vonage

Create a file named request.py and add the following code:


import vonage

client = vonage.Client(
    application_id=VONAGE_APPLICATION_ID,
    private_key=VONAGE_PRIVATE_KEY,

View full source

Write the code

Add the following to request.py:

View full source

Run your code

Save this file to your machine and run it:

python request.py

Prerequisites

gem install vonage

Create a file named delete-recording.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_APPLICATION_PRIVATE_KEY_PATH)
)

View full source

Write the code

Add the following to delete-recording.rb:

client.meetings.recordings.delete(recording_id: RECORDING_ID)

View full source

Run your code

Save this file to your machine and run it:

ruby delete-recording.rb